package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 奖品类型
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum RewardTypeEnum implements BaseEnum<String, RewardTypeEnum> {

    ACTUAL("实物"),
    VIP("小酷AI会员"),
    PIAMO_ROOM("琴房时长"),
    COUPON("优惠券"),
    ;

    @EnumValue
    private String code;
    private String msg;

    RewardTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
